=== debian/control ===
Source: python-linstor
Maintainer: LINBIT HA Solutions GmbH <drbd-user@lists.linbit.com>
Uploaders: Roland Kammerer <roland.kammerer@linbit.com>
Section: python
Priority: optional
Build-Depends: bash-completion,
               debhelper (>= 9),
               dh-python,
               docbook-xsl,
               help2man,
               python3-all (>= 3.5),
               python3-setuptools,
               xsltproc
Standards-Version: 3.9.6

Package: python-linstor
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Linstor python api library
 This library provides functions to access the Linstor controller
 e.g.: add nodes, resources and query object status
 .
