=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = python-linstor

%:
	dh $@ --with python3 --buildsystem=pybuild $(WITH_BASHCOMPL)

override_dh_auto_build:
	make gensrc
	dh_auto_build

override_dh_install:
	dh_install --fail-missing
